This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 56975 - Never can install/use graphical interface. I am installing RH to a third partition (30 gigs, P4)
Never can install/use graphical interface. I am installing RH to a third part...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 15:56 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 15:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation Crash (851 bytes, text/plain)
2001-12-01 15:57 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-12-01 15:56:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; AOL 7.0; Windows 98; Win 9x 
4.90; MYSMARTP1)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/textw/partitioning_text.py", line 289, in __call__
    avail = apply(isys.spaceAvailable, todo.fstab.getRootDevice())
  File "isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda6
readOnly: 0
device: /tmp/hda6

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install boot from Cd
2.Work to partition/ Disk Druid (custom Install)
3.Move back because I can't gain graphical installation interface.
4.Saved the error description to disk.
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/textw/partitioning_text.py", line 289, in __call__
    avail = apply(isys.spaceAvailable, todo.fstab.getRootDevice())
  File "isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda6
readOnly: 0
device: /tmp/hda6

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:  I should have gained access to graphical installation?

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/textw/partitioning_text.py", line 289, in __call__
    avail = apply(isys.spaceAvailable, todo.fstab.getRootDevice())
  File "isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda6
readOnly: 0
device: /tmp/hda6

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Need Real Name 2001-12-01 15:57:52 EST
Created attachment 39285 [details]
Installation Crash
Comment 2 Michael Fulbright 2001-12-03 15:29:56 EST
I do not understand what you mean by 
  
   "3.Move back because I can't gain graphical installation interface."

In step 2 you were able to use disk druid - was this via a graphical or text
interface?


Comment 3 Brent Fox 2002-01-20 23:22:22 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.